UDP2UDP(1)

NAME
udp2udp - tunnel a RIST stream between two URIs via UDP

SYNOPSIS
udp2udp [OPTIONS]

DESCRIPTION
Reliable Internet Stream Transport (RIST) is a transport protocol designed for reliable transmission of video over lossy networks (including the Internet) with low latency and high quality.

udp2udp allows one to tunnel a RIST stream between two URIs via UDP.

  Where OPTIONS are:

-i | --inputurl udp://...
    Mandatory Option: Input udp URL

-o | --outputurl udp://...
    Mandatory Option: Comma separated list of output udp URLs

-v | --verbose-level value
    To disable logging: -1, log levels match syslog levels

-r | --remote-logging IP:PORT
    Send logs and stats to this IP:PORT using udp messages

-c | --config name.yaml
    YAML config file

-M | --enable-metrics
    Enable OpenMetrics/Prometheus compatible metrics

--metrics-tags
    Additional tags to add to the metrics

--metrics-multipoint
    Metrics return multiple timestamped data points

--metrics-nocreated
    Metrics skip the created metric for Prometheus compat

--metrics-http
    Start HTTP Server to expose metrics on defaults to http://0.0.0.0:9100/metrics

--metrics-port
    Port for metrics HTTP server to listen on

--metrics-ip
    IP for metrics HTTP server to listen on

--metrics-unix
    Unix socket to expose metrics on

-h | --help
    Show this help

-u | --help-url
    Show all the possible url options

Default values:

--verbose-level 6

SEE ALSO
ristsender(1), ristreceiver(1), https://code.videolan.org/rist/librist/-/wikis/LibRIST%20Documentation

AUTHOR

This manual page was written by Florian Ernst <florian@debian.org>, for the Debian project (and may be used by others).